=== debian/changelog ===
libtemplates-parser (23.0.0-5) experimental; urgency=medium

  * Rebuild with a version of libxmlada changing its shared object version.
  * Increase the shared object version for the same reason (gnat-13).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 28 Oct 2023 22:45:15 +0000

libtemplates-parser (23.0.0-4) experimental; urgency=medium

  * Build in experimental with dh-ada-library >= 9 and gnat >= 13.
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Move the dh-sequence-ada-library virtual package alongside the
    concrete package carrying its version restriction.
  * Make the unversioned -dev package explicit in debhelper configuration.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 25 Oct 2023 16:16:45 +0000

libtemplates-parser (23.0.0-3) unstable; urgency=medium

  * Break/Replace libtemplates-parser*-dev since oldstable.
    Closes: #1034985.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 22:52:11 +0200

libtemplates-parser (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:16:17 +0100

libtemplates-parser (23.0.0-1) experimental; urgency=medium

  * Build with unicode 15. No -dev renamings in experimental.
  * New upstream version (unchanged from the preview).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Nov 2022 11:57:28 +0000

libtemplates-parser (23~20220629-1) experimental; urgency=medium

  * Build new snapshot with gcc-12 for experimental.
    Rename -dev package (ALI version), but not lib package (SO version).
    Drop applied xmlada-split.diff
  * Update to dh-ada-library 8.1.
    The Makefile snippet is also needed by -indep builds.
    Drop patches related with build directory structure or soname convention.
  * Remove artifacts from project. PDF docs are not built during -arch
    builds and must be installed manually.
  * Standards-Version 4.6.1
  * Update copyright years
  * Clean a forgotten GNAT temporary file
  * Avoid parallelism in both make and gprbuild
  * Force TP_XMLADA, incorrectly detected with gcc-12
  * Move some cleaning from debian/rules to debian/clean.
  * Prefer execute_before to override/remaining-packages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 29 Aug 2022 05:27:28 +0000
