## libtemplates-parser 24.0.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,9 @@
 #  to http://www.gnu.org/licenses for a complete copy of the license.      #
 ############################################################################
 
+ifndef VERBOSE_MAKE
 .SILENT:
+endif
 
 VERSION	= 22.0
 
@@ -84,6 +86,28 @@
   PRJ_BUILD := Debug
 else
   PRJ_BUILD := Release
+endif
+
+ifeq ($(strip $(findstring linux, $(TARGET))),linux)
+   PRJ_TARGET=Linux
+else
+ifeq ($(strip $(findstring mingw32, $(TARGET))),mingw32)
+   PRJ_TARGET=Windows
+else
+ifeq ($(strip $(findstring cygwin, $(TARGET))),cygwin)
+   PRJ_TARGET=Windows
+else
+ifeq ($(strip $(findstring darwin, $(TARGET))),darwin)
+   PRJ_TARGET=macOS
+else
+ifeq ($(strip $(findstring freebsd, $(TARGET))),freebsd)
+   PRJ_TARGET=FreeBSD
+else
+   PRJ_TARGET=UNIX
+endif
+endif
+endif
+endif
 endif
 
 ALL_OPTIONS := \
@@ -95,6 +119,7 @@
  GPRBUILD \
  GPRCLEAN \
  PRJ_BUILD \
+ PRJ_TARGET \
  PROCESSORS \
  SDIR \
  TARGET \
@@ -103,7 +128,7 @@
  prefix
 
 override GPROPTS += $(foreach v, \
- PRJ_BUILD TP_XMLADA PROCESSORS TARGET VERSION \
+ PRJ_BUILD PRJ_TARGET TP_XMLADA PROCESSORS TARGET VERSION \
  ,"-X$(v)=$($(v))")
 
 GPR_DEFAULT = -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
