=== debian/changelog ===
libtemplates-parser (24.0.0-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:17:52 +0000

libtemplates-parser (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
    Closes: #1061633.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 15:34:24 +0100

libtemplates-parser (24.0.0-1) experimental; urgency=medium

  * New upstream version, requiring the sphinx read-the-docs theme.
  * Build with dh-ada-library 9.1 for gnat versions in ada:Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 20 Dec 2023 00:19:13 +0000
