=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libtemplates-parser
 Section: libdevel
 Priority: optional
-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ada-library (>= 9),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
  gnat (>= 13.1),
  gprbuild (>= 2017),
@@ -20,6 +21,7 @@
  dh-sequence-sphinxdoc,
  latexmk,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  tex-gyre,
  texinfo,
 # Sphinx >= 1.6 uses the latexmk driver.
