## libtemplates-parser 25.0.0

=== Makefile ===
--- 
+++ 
@@ -42,8 +42,6 @@
   TP_XMLADA := Disabled
 endif
 
--include makefile.setup
-
 ifeq ($(HOST), $(TARGET))
 GPROPTS		=
 TPREFIX=$(DESTDIR)$(prefix)
@@ -75,11 +73,11 @@
 endif
 
 ifeq ($(ENABLE_STATIC), true)
-   STATIC_LIBRARY=static
+   LIBRARY_TYPES += static
 endif
 
 ifeq ($(ENABLE_SHARED), true)
-   LIBRARY_TYPES=$(STATIC_LIBRARY) relocatable static-pic
+   LIBRARY_TYPES += relocatable static-pic
 endif
 
 ifeq ($(DEBUG), true)
@@ -109,6 +107,8 @@
 endif
 endif
 endif
+
+-include makefile.setup
 
 ALL_OPTIONS := \
  DEBUG \
