=== debian/changelog ===
libtemplates-parser (25.0.0-2build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 07:46:36 +0200

libtemplates-parser (25.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 10 Mar 2025 07:32:09 +0000

libtemplates-parser (25.0.0-1) experimental; urgency=medium

  * Build new upstream release with gnat-14 for experimental.
  * Fix a typo breaking sphinx parallel option
  * Install documentation to now unversioned -dev doc directory
  * Improve gbp.conf.
  * Enable salsa continuous integration via debian/salsa-ci.yml.
  * Update copyright years and Standards-Version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 Jan 2025 00:16:39 +0000
