=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: libtemplates-parser
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat (>= 13.1),
- gprbuild (>= 2017),
-# This version cleans auto.cgpr after the build.
-# See xsrc/templates_parser-xml.adb.
- libxmlada-dom-dev (>= 23.0.0-6),
- libxmlada-input-dev (>= 23.0.0-6),
- libxmlada-sax-dev (>= 23.0.0-6),
- libxmlada-unicode-dev (>= 23.0.0-6),
+ gnat,
+ gnat-14,
+ gprbuild (>= 2025.0.0-2),
+ libxmlada-dom-dev,
+ libxmlada-input-dev,
+ libxmlada-sax-dev,
+ libxmlada-unicode-dev,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  latexmk,
@@ -30,7 +28,7 @@
  texlive-latex-recommended,
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/templates-parser
 Vcs-Browser: https://salsa.debian.org/debian/libtemplates-parser
