=== debian/watch ===
version=4

https://github.com/AdaCore/templates-parser/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
